Skip to main content
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
webhooks
/
{endpoint}
/
deliveries
/
{delivery}
Find Webhook Delivery
curl --request GET \
  --url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/webhooks/{endpoint}/deliveries/{delivery} \
  --header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'
{
  "api_version": "v1",
  "data": {
    "token": "wh_7f3c2d10",
    "endpoint_token": "wh_ep_02c9b78d",
    "aggregator_id": "agg_b12f8c30",
    "event_id": "evt_8aa12f",
    "type": "payment.succeeded",
    "payload_json": "{\"id\":\"evt_8aa12f\",\"object\":\"event\"}",
    "status": "WD_DELIVERED",
    "attempts": 2,
    "last_error": "",
    "next_attempt_at": "2025-12-15T09:05:00Z",
    "created_at": "2025-12-15T09:00:00Z",
    "delivered_at": "2025-12-15T09:00:04Z"
  }
}

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

endpoint
string
required

The unique identifier for the webhook endpoint

Example:

"wh_6b849c6f-c091-4ad3-b7a9-de06415c6db3"

delivery
string
required

The unique identifier for the webhook delivery

Example:

"whd_f35737a8-60d0-4d62-8259-9cade007570a"

Response

This response contains details of a webhook delivery

Standard response structure for successful operations

data
object
required

Delivery attempt metadata for a webhook event.

api_version
string

The current version of the API spec

Example:

"v1"